@import "../../../assets/styles/main.scss";

.operaterApnBannerMainSection {
  background-color: getColorHex("bg_color");
  position: relative;

  .operaterApnHeroBannerSectionBottomImage {
    position: absolute;
    bottom: -4px;
    left: 0;
  }

  &::before {
    content: "";
    position: absolute;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/banner_background_vectore.svg);
    background-position: right;
    background-size: contain;
    background-repeat: no-repeat;
    width: 36%;
    height: 88%;
    right: 0px;
    bottom: 0px;

    @include xxl {
      width: 35%;
      height: 88%;
      right: 0px;
      bottom: 18px;
    }
    @include xl {
      width: 35%;
      height: 85%;
    }
  }

  .operaterApnHeroBannerMain {
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/page_banner_bg_map.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 38px 0px 150px 0px;
    position: relative;
    height: 678px;
    @include xxl {
      height: 630px;
    }
    @include xl {
      height: 555px;
    }
    @include lg {
      height: 470px;
      padding: 30px 0px 150px 0px;
    }

    .backgroundCloudeImage {
      position: absolute;
      width: 192px;
      height: 79px;
      left: 9px;
      top: 107px;
      img {
        width: 100%;
        height: 100%;
        object-fit: contain;
      }
      @include xxl {
        top: 29px;
      }
    }
    .operaterApnBannerBlock {
      display: flex;
      padding: 0px 109px 0px 300px;
      justify-content: center;
      align-items: center;
    }

    .operaterApnHeroBannerContainer {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 60px;
      @include xl {
        gap: 30px;
      }
      .operaterApnHeroBannerLeft {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        width: 100%;
        text-align: right;
        @include xl {
          width: 90%;
        }
        @include lg {
          width: 95%;
        }
        .operaterApnHeroBannerTitle h1 {
          color: getColorHex("white");
          font-size: 96px;
          @include inter700;
          @include xxl {
            font-size: 80px;
          }
          @include xl {
            font-size: 70px;
          }
          @include lg {
            font-size: 58px;
          }
        }
      }
      .operaterApnHeroBannerRightMain {
        width: 82%;
        @include xxl {
          width: 84%;
        }
        @include lg {
          width: 93%;
        }
        .operaterApnHeroBannerRight {
          position: relative;
          z-index: 9;
          width: 87%;
          margin-right: auto;
          @include xxl {
            width: 100%;
          }
        }
      }
    }
  }
}
